local lib = TeamEquipCompare;

local TEC_Options = {
    name = "Team Equip Compare v"..lib.version,
    type = "group",
    args = {
		config = {
			order = 1;
			guiHidden = true;
            type = "execute",
			name = "Config",
            desc = "Open Ace3 Config GUI",
            func = function(...) InterfaceOptionsFrame_OpenToCategory("Team Equip Compare") end,
		},
		notify = {
			order = 2,
			cmdHidden = true;
            type = "toggle",
			name = "Show Notification Messages",
            desc = "Display TeamEquipCompare notification messages",
            set = function(info, val) lib.db.global.showNotificationMsgs = val end,
            get = function(info) return lib.db.global.showNotificationMsgs end,
			width = "full",
		},
		alt = {
			order = 3,
			cmdHidden = true;
            type = "toggle",
			name = "Alt-Key Tooltip",
            desc = "Require the Alt-Key to be pressed to show the tooltip additions",
            set = function(info, val) lib.db.global.requireAltKey = val end,
            get = function(info) return lib.db.global.requireAltKey end,
			width = "full",
		},
		debug = {
			order = 4,
			cmdHidden = true;
            type = "toggle",
			name = "Show Debug Messages",
            desc = "Display TeamEquipCompare debugging messages [Not Recommended]",
            set = function(info, val) lib.db.global.showDebugMsgs = val end,
            get = function(info) return lib.db.global.showDebugMsgs end,
			width = "full",
			confirm = function(...)
				if (not lib.db.global.showDebugMsgs) then
					return "This will generate A LOT of chat text.  Are you sure you want to show debugging messages?";
				else
					return false;
				end
			end,
		},
        sync = {
			order = 5,
            type = "execute",
			name = "Force Data Sync",
            desc = "Synchronize equipment data with all party members",
            func = function(...) TEC_RequestPartyData() end,
			width = "full",
        },
		team = {
			order = 6;
			guiHidden = true;
            type = "execute",
			name = "Team",
            desc = "List party members that have provided data",
            func = function(...) TEC_PrintTeam() end,
		},
    },
};

-- register slash command, and add options to Blizzards Interface/AddOns GUI
LibStub("AceConfig-3.0"):RegisterOptionsTable("TeamEquipCompare", TEC_Options, "tec");
LibStub("AceConfigDialog-3.0"):AddToBlizOptions("TeamEquipCompare", "Team Equip Compare");
